{% extends 'users/base.html' %}

{% block content %}
    <div class="col">
        <div class="col-md">
            <div class="card text-center text-dark p-4">
                <h1>Register</h1>

                <form action="" method="POST">
                    {% csrf_token %}
                    <!-- as_p cleans up form, showing line by line -->
                    <!-- {{ form.as_p}} -->

                    <!-- Cleans up extra verbiage from default form -->
                    <!-- {% for field in form %}
                        {{ field.label }}
                        {{ field }}
                    {% endfor %} -->
                    
                    {{ form.username.label }}
                    {{ form.username }}
                    <br>
                    {{ form.email.label }}
                    {{ form.email }}
                    <br>
                    {{ form.password1.label }}
                    {{ form.password1 }}
                    <br>
                    {{ form.password2.label }}
                    {{ form.password2 }}
                    
                    <br>
                    <input type="submit" name="Create User">
                </form>
                {{ form.errors }}
            </div>
        </div>   
    </div>

{% endblock %}